#!/bin/bash

# defaults
p2j_path="../../p2j/build/lib"

# use P2J_HOME environment variable if set
if [ -n "${P2J_HOME}" ] ; then
   p2j_path="${P2J_HOME}"
fi

cpath="${p2j_path}/p2j.jar:.:"
dtxt="-Xdebug -Xnoagent -DP2J_HOME=../.. -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=9999,server=y,suspend=n"

java $dtxt -classpath $cpath com.goldencode.p2j.report.server.ReportWebServer \
                             -port 8443 \
                             -ks ./embedded-private-key.store \
                             -kspw 87ViGTQVp\<07zPw\(3i2A4%uCHYx3mIgSt\>Tk \
                             -kepw h8jNMO\>Vbn0\`cL\)b95dVn\$w03CePIB6eItL3 \
                             1> report_server.log 2>&1

